/*
 * TismTool  Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * OSAL_Gen.c
 * version 1
 */
#include "OSAL_Gen.h"
#include "OSAL_MutexSem.h"
#include "OSAL_RzVousSem.h"
#include "OSAL_TriggerSem.h"
#include "OSAL_Thread.h"

void OSAL_Initialise( void )
{
  OSAL_MutexSemInitialise();
  OSAL_RzVousSemInitialise();
  OSAL_TriggerSemInitialise();
  OSAL_ThreadInitialise();
  OSAL_SetMainThread();
}

void OSAL_Terminate( void )
{
  OSAL_ThreadTerminate();
  OSAL_MutexSemTerminate();
  OSAL_RzVousSemTerminate();
  OSAL_TriggerSemTerminate();
}
