/*
 * TismTool  Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * OSAL_Gen.h
 * version 2
 */
#ifndef OSAL_GEN_H
#define OSAL_GEN_H

#ifdef __cplusplus
extern "C" {
#endif

#ifndef NULL
#define NULL ((void *) 0)
#endif

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE  (!FALSE)
#endif

#define OSAL_HANDLE_INVALID   0

#define OSAL_NOF_MUTEXSEMS    20
#define OSAL_NOF_TRIGGERSEMS  20
#define OSAL_NOF_RZVOUSSEMS   20
#define OSAL_NOF_THREADS      20

#define OSAL_STACKSIZE         0

typedef char OSAL_Bool;
typedef int  OSAL_Handle;

void OSAL_Initialise( void );
void OSAL_Terminate( void );

#ifdef __cplusplus
}
#endif 
#endif
