/*
 * TismTool © Tis Veugen, 2010-2011
 * Simulation, Verification
 *
 * TsmClass_fields.h
 * version 2
 */
#include "TsmBase_fields.h"

int             mNrFsms;
TsmFsm**        oFsms;
TsmBool         IsMock;
TsmStr          SnapState;
TsmStr          SnapCall;
int             SeqId;
TsmNativeLists  Natives;
int             ClassListIndex;

void    (*SetProxyUser)( struct TsmClassStruct* this, struct TsmClassStruct* oProxyUser );
struct TsmInterfacePortStruct * (*GetProvidedInterface)( struct TsmClassStruct* this, char* sPortName );
void    (*SetRequiredInterface)( struct TsmClassStruct* this, char* sPortName, struct TsmInterfacePortStruct* oProvidedInterface );
void    (*ExecuteTrigger)( struct TsmClassStruct* this, TsmTrigger* oTrigger );
void    (*ExecuteNative)( struct TsmClassStruct* this, int iCmd );
void    (*TsmInitialise)( struct TsmClassStruct* this, void* oObject );
void    (*TsmConnect)( struct TsmClassStruct* this, void* oObject );
void    (*TsmPrepare)( struct TsmClassStruct* this, void* oObject );
void    (*TsmRun)( struct TsmClassStruct* this, void* oObject );
void    (*TsmHalt)( struct TsmClassStruct* this, void* oObject );
void    (*TsmCease)( struct TsmClassStruct* this, void* oObject );
void    (*TsmDisconnect)( struct TsmClassStruct* this, void* oObject );
void    (*TsmTerminate)( struct TsmClassStruct* this, void* oObject );
void    (*TsmMention)( struct TsmClassStruct* this, void* oObject );
void    (*TsmReset1)( struct TsmClassStruct* this );
void    (*TsmReset2)( struct TsmClassStruct* this );
void    (*TsmSnap)( struct TsmClassStruct* this, TsmStr sout );
void    (*TsmCheckVisit)( struct TsmClassStruct* this );
TsmBool (*IsTsmProxy)( struct TsmClassStruct* this );
TsmBool (*IsTsmProxyUser)( struct TsmClassStruct* this );
