/*
 * TismTool © Tis Veugen, 2010-2011
 * Simulation, Verification
 *
 * TsmPSPort.h
 * version 1
 */
#ifndef TSM_PSPORT_H
#define TSM_PSPORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmPort.h"
#include "TsmTrigger.h"

#define TsmPSPort_Gtor(t) TsmPort_Gtor((TsmPort*) (t))

typedef struct TsmPSPortStruct /* : TsmPort */
{
#include "TsmPSPort_fields.h"
} TsmPSPort;

TsmPSPort*  TsmPSPort_Ctor( void );
void        TsmPSPort_Ftor( TsmPSPort* this );
TsmBool     TsmPSPort_Handle( TsmPSPort* this, TsmTrigger* oTrigger );
void        TsmPSPort_ToSeq( TsmPSPort* this, TsmStr sa );

#ifdef __cplusplus
}
#endif 
#endif
