/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmBase.h
 * version 1
 */
#ifndef TSM_BASE_H
#define TSM_BASE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmObject.h"

#define TsmBase_Gtor(t) TsmObject_Gtor((TsmObject*) (t))

typedef struct TsmBaseStruct /* : TsmObject */
{
#include "TsmBase_fields.h"
} TsmBase;

TsmBase*  TsmBase_Ctor( void );
void      TsmBase_Ftor( TsmBase* this );
TsmBool   TsmBase_IsTsmSubFsm( TsmBase* this );
void      TsmBase_TotalName( TsmBase* this, TsmStr sout );
void      TsmBase_FullName( TsmBase* this, TsmStr sout );

#ifdef __cplusplus
}
#endif 
#endif
