/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmEnvelope.c
 * version 1
 */
#include <string.h>
#include "TsmGen.h"
#include "TsmEnvelope.h"

void TsmEnvelope_Ftor( TsmEnvelope* this, TsmTrigger* oTrigger, TsmClass* oTarget )
{
  this->mTrigger = oTrigger;
  this->mTarget = oTarget;
}

TsmTrigger* TsmEnvelope_GetTrigger( TsmEnvelope* this )
{
  return this->mTrigger;
}

TsmClass* TsmEnvelope_GetTarget( TsmEnvelope* this )
{
  return this->mTarget;
}

void TsmEnvelope_Snap( TsmEnvelope* this, TsmStr sout )
{
  this->mTrigger->Snap( this->mTrigger, sout );
}
