/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmException.h
 * version 1
 */
#ifndef TSM_EXCEPTION_H
#define TSM_EXCEPTION_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "OSAL_Gen.h"

typedef enum TsmExceptionTypeEnum
{
  TsmException_OK = 0,
  TsmException_QUIT,
  TsmException_RV
} TsmExceptionType;

void TsmException_Throw( char* s, TsmExceptionType Type );
void TsmException_Quit( char* s );
void TsmException_Rv( void );

#ifdef __cplusplus
}
#endif 
#endif
