/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmLeaf.h
 * version 1
 */
#ifndef TSM_LEAF_H
#define TSM_LEAF_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmState.h"
#include "TsmHandler.h"

typedef struct TsmLeafStruct /* : TsmState */
{
#include "TsmLeaf_fields.h"
} TsmLeaf;

TsmLeaf*  TsmLeaf_Ctor( void );
void      TsmLeaf_Ftor( TsmLeaf* this );
void      TsmLeaf_Initial( TsmLeaf* this, TsmHandler* oHandler );
void      TsmLeaf_ExecuteTrigger( TsmLeaf* this, TsmHandler* oHandler );

#ifdef __cplusplus
}
#endif 
#endif
