/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmMutex.h
 * version 1
 */
#ifndef TSM_MUTEX_H
#define TSM_MUTEX_H

#ifdef __cplusplus
extern "C" {
#endif

#include "OSAL_Gen.h"
#include "TsmGen.h"

typedef struct TsmMutexStruct
{
  TsmBool     mbExclusive;
  OSAL_Handle mMutex;
} TsmMutex;

void TsmMutex_Ftor( TsmMutex* this );
void TsmMutex_Gtor( TsmMutex* this );
void TsmMutex_WaitOne( TsmMutex* this );
void TsmMutex_Release( TsmMutex* this );
void TsmMutex_Reset( TsmMutex* this );

#ifdef __cplusplus
}
#endif 
#endif

