/*
 * TismTool © Tis Veugen, 2010-2011
 * Simulation, Verification
 *
 * TsmASPort.h
 * version 1
 */
#ifndef TSM_ASPORT_H
#define TSM_ASPORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmActivePort.h"
#include "TsmTrigger.h"

#define TsmASPort_Gtor(t) TsmActivePort_Gtor((TsmActivePort*) (t) )

typedef struct TsmASPortStruct /* : TsmActivePort */
{
#include "TsmASPort_fields.h"
} TsmASPort;

TsmASPort*  TsmASPort_Ctor( void );
void        TsmASPort_Ftor( TsmASPort* this );
TsmBool     TsmASPort_Handle( TsmASPort* this, TsmTrigger* oTrigger );
void        TsmASPort_ToSeq( TsmASPort* this, TsmStr sa );

#ifdef __cplusplus
}
#endif 
#endif
