/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmActivePort.h
 * version 1
 */
#ifndef TSM_ACTIVEPORT_H
#define TSM_ACTIVEPORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmPort.h"
#include "TsmThread.h"

#define TsmActivePort_Gtor(t) TsmPort_Gtor((TsmPort*) (t))

typedef struct TsmActivePortStruct /* : TsmPort */
{
#include "TsmActivePort_fields.h"
} TsmActivePort;

TsmActivePort*  TsmActivePort_Ctor( void );
void            TsmActivePort_Ftor( TsmActivePort* this );
void            TsmActivePort_SetThread( TsmActivePort* this, TsmThread* oThread );

#ifdef __cplusplus
}
#endif 
#endif
