/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmProxyUser.h
 * version 1
 */
#ifndef TSM_PROXYUSER_H
#define TSM_PROXYUSER_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmClass.h"

#define TsmProxyUser_Gtor(t) TsmClass_Gtor((TsmClass*) (t))

typedef struct TsmProxyUserStruct /* : TsmClass */
{
#include "TsmProxyUser_fields.h"
} TsmProxyUser;

TsmProxyUser* TsmProxyUser_Ctor( void );
void          TsmProxyUser_Ftor( TsmProxyUser* this );

TsmBool TsmProxyUser_IsProxyOk( TsmProxyUser* this );
TsmBool TsmProxyUser_IsProxyNok( TsmProxyUser* this );
void    TsmProxyUser_CbSetProxyOk( TsmProxyUser* this );
void    TsmProxyUser_CbSetProxyNok( TsmProxyUser* this );
TsmBool TsmProxyUser_IsTsmProxyUser( TsmProxyUser* this );

#ifdef __cplusplus
}
#endif 
#endif
