/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmException.c
 * version 1
 */
#include <setjmp.h>
#include "OSAL_Gen.h"
#include "OSAL_Thread.h"
#include "Tsm.h"
#include "TsmGen.h"
#include "TsmException.h"

void TsmException_Throw( char* s, TsmExceptionType Type )
{
  OSAL_Thread*  oThread = OSAL_GetCurrentThread();

  Tsm_Log( s );
  longjmp( oThread->JmpBuf, (int) Type );
}

void TsmException_Quit( char* s )
{
  TsmException_Throw( s, TsmException_QUIT );
}

void TsmException_Rv( void )
{
  OSAL_Thread*  oThread = OSAL_GetCurrentThread();

  longjmp( oThread->JmpBuf, TsmException_RV );
}
