/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmGen.h
 * version 1
 */
#ifndef TSM_GEN_H
#define TSM_GEN_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdlib.h>

#define TSM_NCH_CLASSNAME     64
#define TSM_NCH_THREADNAME   128
#define TSM_NCH_TRIGGER       32
#define TSM_NCH_FULLNAME    1024
#define TSM_NCH_TRANSITION  2048
#define TSM_NCH_RECORDER    4096

#define TSM_NOF_QUEUE_ENVELOPES 10
#define TSM_NOF_LIST_NATIVES    20

#define TSM_NOF_MAP_STRING      10000

#ifndef NULL
#define NULL ((void *) 0)
#endif

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE  (!FALSE)
#endif

typedef char* TsmStr;
typedef int   TsmBool;

void    Tsm_Free( void* );
void*   Tsm_Malloc( size_t );
void*   Tsm_Realloc( void*, size_t );
char*   Tsm_Restring( char* );

#ifdef __cplusplus
}
#endif 
#endif
