/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmObject.c
 * version 1
 */
#include <string.h>
#include "TsmGen.h"
#include "TsmObject.h"

static TsmObject TsmObject0;

TsmObject* TsmObject_Ctor( void )
{
  TsmObject* pTsmObject = (TsmObject*) Tsm_Malloc( sizeof(TsmObject) );
  TsmObject_Ftor( pTsmObject );
  return pTsmObject;
}

void TsmObject_Ftor( TsmObject* this )
{
  static TsmBool bBoot = FALSE;

  if ( ! bBoot )
  {
    bBoot = TRUE;
    TsmObject0.Class = "TsmObject";
    TsmObject0.Gtor = TsmObject_Gtor;
    TsmObject0.Dtor = TsmObject_Dtor;
    TsmObject0.ClassName = TsmObject_ClassName;
  }

  memcpy( this, &TsmObject0, sizeof(TsmObject) );
}

void TsmObject_Gtor( TsmObject* this )
{
}

void TsmObject_Dtor( TsmObject* this )
{
  this->Gtor( this );
  Tsm_Free( this );
}

char* TsmObject_ClassName( TsmObject* this )
{
  return this->Class;
}
