/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmFinal.c
 * version 1
 */
#include "TsmGen.h"
#include "TsmPseudo.h"
#include "TsmFinal.h"
#include "TsmHandler.h"
#include "TsmHandlerAction.h"

TsmFinal* TsmFinal_Ctor( void )
{
  TsmFinal* this = (TsmFinal*) Tsm_Malloc( sizeof(TsmFinal) );
  TsmFinal_Ftor( this );
  return this;
}

void TsmFinal_Ftor( TsmFinal* this )
{
  TsmPseudo_Ftor( (TsmPseudo*) this );
  this->Class = "TsmFinal";

  this->Initial = (Tsm_pfStHdlr) TsmFinal_Initial;
  this->ExecuteTrigger = (Tsm_pfStHdlr) TsmFinal_ExecuteTrigger;
  this->ExecuteTriggerless = (Tsm_pfStHdlr) TsmFinal_ExecuteTriggerless;
}

void TsmFinal_Initial( TsmFinal* this, TsmHandler* oHandler )
{
  oHandler->Action = TsmHandlerAction_FINAL;
}

void TsmFinal_ExecuteTrigger( TsmFinal* this, TsmHandler* oHandler )
{
  oHandler->Action = TsmHandlerAction_FINAL;
}

void TsmFinal_ExecuteTriggerless( TsmFinal* this, TsmHandler* oHandler )
{
  oHandler->Action = TsmHandlerAction_FINAL;
}
