/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmRzVousSem.h
 * version 1
 */
#ifndef TSM_RZVOUSSEM_H
#define TSM_RZVOUSSEM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "OSAL_Gen.h"
#include "TsmGen.h"

typedef struct TsmRzVousSemStruct
{
  OSAL_Handle mRzVous;
  OSAL_Bool   mbRendezVous;
} TsmRzVousSem;

void TsmRzVousSem_Ftor( TsmRzVousSem* this );
void TsmRzVousSem_Gtor( TsmRzVousSem* this );
void TsmRzVousSem_WaitOne( TsmRzVousSem* this );
void TsmRzVousSem_Release( TsmRzVousSem* this );
void TsmRzVousSem_Reset( TsmRzVousSem* this );

#ifdef __cplusplus
}
#endif 
#endif
